.btnFilled.elementor-widget-button .elementor-button{
  background-color: var(--mare800) !important;
  border-color: var(--mare800) !important;
  color: var(--mare50) !important;
}

.btnFilled.elementor-widget-button .elementor-button:hover{
  background-color: transparent !important;
  border-color: var(--mare800) !important;
  color: var(--mare800) !important;
}

.btnTransparent.elementor-widget-button .elementor-button{
  background-color: transparent !important;
  border-color: var(--mare800) !important;
  color: var(--mare800) !important;
}

.btnTransparent.elementor-widget-button .elementor-button:hover{
  background-color: var(--mare800) !important;
  border-color: var(--mare800) !important;
  color: var(--mare50) !important;
}

.btnYellow.elementor-widget-button .elementor-button{
  background-color: var(--sole500) !important;
  border-color: var(--sole500) !important;
  color: var(--altograno700) !important;
}

.btnYellow.elementor-widget-button .elementor-button:hover{
  background-color: var(--altograno700) !important;
  border-color: var(--altograno700) !important;
  color: var(--sabbia50) !important;
}

.btnYellow.elementor-widget-button .elementor-button:hover svg path{
  stroke: var(--sabbia50) !important;
}

.btnBrownTransparent.elementor-widget-button .elementor-button{
  background-color: transparent !important;
  border-color: var(--altograno300) !important;
  color: var(--altograno700) !important;
}

.btnBrownTransparent.elementor-widget-button .elementor-button:hover{
  background-color: var(--altograno700) !important;
  border-color: var(--altograno700) !important;
  color: var(--mare50) !important;
}

.btnBrown.elementor-widget-button .elementor-button{
  background-color: var(--altograno700) !important;
  border-color: var(--altograno700) !important;
  color: var(--mare50) !important;
}

.btnBrown.elementor-widget-button .elementor-button:hover{
  background-color: var(--sole500) !important;
  border-color: var(--sole500) !important;
  color: var(--sabbia50) !important;
}

.btnWhite.elementor-widget-button .elementor-button{
  background-color: var(--sabbia50) !important;
  border-color: var(--sabbia50) !important;
  color: var(--altograno700) !important;
}

.btnWhite.elementor-widget-button .elementor-button:hover{
  background-color: var(--altograno700) !important;
  border-color: var(--altograno700) !important;
  color: var(--mare50) !important;
}

.btnWhite.elementor-widget-button .elementor-button:hover svg path{
  stroke: var(--mare50) !important;
}

/* MENU */
.menuContainer{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 99;
}

.mainMenu{
	display: flex;
	align-items: flex-start;
	justify-content: center;
	padding: 12px 48px;
}

.mainMenu.lower .logo{
  padding: 0 1rem;
}

.mainMenu.upper{
  height: 2.5rem;
}

.mainMenu .centerMenu svg{
  height: 2.5rem;
}

.mainMenu .leftMenu,
.mainMenu .rightMenu{
  width: calc((100% - 4.25rem) / 2);
}

.mainMenu .leftMenu>ul,
.mainMenu .rightMenu>ul{
  display: flex;
  align-items: flex-start;
  padding-left: 0;
  margin-bottom: 0;
}

.mainMenu .rightMenu>ul{
  justify-content: end;
  column-gap: .5rem;
}

.mainMenu ul li{
  list-style: none;
}

.mainMenu ul li.menu-item a:not(.customBtn),
.mainMenu ul li.menu-item>span:not(.customBtn){
  color: var(--altograno900);
  text-decoration: none;
  display: inline-flex;
  padding: 12px;
  text-transform: uppercase;
  align-items: center;
  column-gap: 8px;
}

.mainMenu ul li.menu-item a[href]:not([href=""]):not([href="#"]):hover{
  text-decoration: underline;
}

body.transparentMenu:not(.menuActive) .mainMenu{
  background: rgba(0, 0, 0, 0.30);
}

body.transparentMenu:not(.menuActive) .mainMenu ul.firstLevelMenu>li>*{
  color: var(--sabbia50);
}

body.transparentMenu:not(.menuActive) .mainMenu .firstLevelMenu svg path,
body.transparentMenu:not(.menuActive) .mainMenu .firstLevelMenu svg g{
  stroke: var(--sabbia50);
}

body:not(.transparentMenu) .mainMenu,
body.transparentMenu.menuActive .mainMenu{
  background-color: var(--sabbia50);
}

body:not(.transparentMenu) .mainMenu .centerMenu .white,
body.transparentMenu.menuActive .mainMenu .centerMenu .white{
  display: none;
}

body.transparentMenu:not(.menuActive) .mainMenu .centerMenu .color{
  display: none;
}

.btn-close{
  --bs-btn-close-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000000'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e");
  opacity: 1;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 0;
}

.btn-close:hover{
  background-color: var(--neutrals00);
  --bs-btn-close-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000000'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e");
}

.dropdown:hover .dropdown-menu{
  display: block !important;
}

.menu-item>.sub-menu{
  padding-left: 8px;
  padding-top: 8px;
  padding-right: 8px;
  padding-bottom: 8px;
  background-color: var(--sabbia50);
}

.menu-item>.sub-menu>.menu-item a{
  padding: 12px;
}

.mobileIconsContainer{
  display: none;
}

/* SUBMENU
/* --- MECCANICA DESKTOP (Hover) --- */
@media (min-width: 992px) {
    .menu-item { position: relative; }

    .sub-menu {
        position: absolute;
        top: 100%;
        left: 0;
        /* Meccanica di visibilità */
        opacity: 0;
        visibility: hidden;
        transform: translateY(10px);
        transition: all 0.3s ease;
        pointer-events: none; /* Evita interazioni quando nascosto */
    }

    .menu-item:hover > .sub-menu {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
        pointer-events: all;
        min-width: max-content;
    }
}

/* --- MECCANICA MOBILE (Accordion) --- */
/* --- MOBILE (Accordion) --- */
@media (max-width: 991px) {

  /* Stato CHIUSO */
  .menu-item.has-children > .sub-menu {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 0.4s ease, opacity 0.3s ease;
    /* Rimuovi eventuali padding che tengono occupato lo spazio */
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    margin: 0 !important;
  }

  /* Stato APERTO */
  .menu-item.has-children.is-open{
    padding-bottom: 0;
  }
  .menu-item.has-children.is-open > .sub-menu {
    max-height: 500px; /* Valore limite richiesto */
    opacity: 1;
    /* Ripristina il padding solo quando aperto se necessario */
    padding-top: 10px !important;
    padding-bottom: 0px !important;
  }

  .menu-item>.sub-menu>.menu-item a{
    padding: 0;
  }

  .menu-item>.sub-menu>.menu-item:last-child{
    padding-bottom: 0 !important;
  }

  .mobileIconsContainer{
    display: block;
    position: absolute;
    top: 50%;
    right: 22px;
    color: var(--sabbia50);
    transform: translateY(-50%);
  }

  .mobileIconsContainer svg path,
  .mobileIconsContainer svg g{
    stroke: var(--altograno900);
  }

  .mobileIconsContainer a{
    color: var(--altograno900);
    text-decoration: none;
  }

  .transparentMenu .mobileIconsContainer svg path,
  .transparentMenu .mobileIconsContainer svg g{
    stroke: var(--sabbia50);
  }

  .transparentMenu .mobileIconsContainer a{
    color: var(--sabbia50);
    text-decoration: none;
  }
}

/* END MENU */

.sidedSliderBlock .controllers{
  position: absolute;
  top: 0;
  right: 0;
  transform: translateY(calc((-100% - 56px)));
  z-index: 9;
}

.elementor-widget-image a img[src$=".svg"]{
  width: auto;
}

.qodef-qi-text-marquee .qodef-m-text {
  align-items: center !important;
}

.bottomSeparatorYellow{
  height: 62px;
  background-image: url("/wp-content/uploads/2026/01/paper-bottom-separator.png");
  background-size: auto 100%;
  background-repeat: repeat-x;
}

.topSeparatorYellow{
  height: 62px;
  background-image: url("/wp-content/uploads/2026/01/paper-top-separator.png");
  background-size: auto 100%;
  background-repeat: repeat-x;
}

.bottomSeparatorGrano50{
  height: 62px;
  background-image: url("/wp-content/uploads/2026/01/paper-grano50-bottom-separator.png");
  background-size: auto 100%;
  background-repeat: repeat-x;
}

.topSeparatorGrano50{
  height: 62px;
  background-image: url("/wp-content/uploads/2026/01/paper-grano50-top-separator-1.png");
  background-size: auto 100%;
  background-repeat: repeat-x;
}

/* resettiamo il contatore all’inizio del contenitore */
.titleCounter .e-n-accordion{
  counter-reset: box-counter;
}

/* per ogni .box incrementiamo il contatore */
.titleCounter .e-n-accordion details{
  counter-increment: box-counter;
  position: relative; /* per posizionare lo ::before */
}

.titleCounter .e-n-accordion details>.elementor-element{
  padding-left: 40px;
  padding-right: 40px;
}

/* e mostriamo il valore nel ::before */
.titleCounter .e-n-accordion details .e-n-accordion-item-title-text::before {
  content: counter(box-counter);
  font-weight: bold;
  background-image: url("/wp-content/themes/altograno/assets/images/blue-leaf.svg");
  background-size: cover;
  background-position: center;
  margin-right: 16px;
  display: inline-block;
  font-family: var(--e-global-typography-primary-font-family), Sans-serif;
}

.elementor-widget-n-tabs.customTabs .e-n-tabs-heading{
  background: var(--sabbia50) !important;
  border-radius: 24px !important;
  flex-wrap: nowrap !important;
  padding: 4px !important;
}

.elementor-widget-n-tabs.customTabs .e-n-tab-title{
  background-color: transparent !important;
  border-radius: 16px !important;
  color: var(--altograno700) !important;
  display: flex;
  flex-grow: 1;
  padding-left: 16px;
  padding-right: 16px;
}

.elementor-widget-n-tabs.customTabs .e-n-tab-title[aria-selected=true]{
  background-color: var(--costa500) !important;
}

.customBlogLabel{
  background-color: var(--sabbia300);
  color: var(--altograno500);
  padding: 4px 8px;
  border-radius: 8px;
  display: inline-block;
}

.postDetailsSummary{
  background-color: var(--sabbia300);
  padding: 24px;
  border-radius: 16px;
  color: var(--altograno500);
}

.postDetailsSummary svg path,
.postDetailsSummary svg g{
  stroke: var(--altograno500);
}

.spacer{
  height: 1px;
  display: block;
  background-color: var(--crusca200);
}

.socialShare{
  display: inline-flex;
  width: 52px;
  height: 52px;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
  border: 1px solid var(--altograno300);
}

.blockIngredienti{
  padding: 32px;
  background-color: var(--sabbia500);
  border-radius: 24px;
  margin: 32px auto;
  color: var(--altograno700);
}

.blockIngredienti ul{
  padding-left: 0;
  color: var(--altograno500);
  margin-bottom: 0;
}

.blockIngredienti ul li{
  list-style: none;
  display: flex;
  column-gap: 8px;
  align-items: center;
  margin-bottom: 10px;
}

.blockIngredienti ul li:last-child{
  margin-bottom: 0;
}

.blockIngredienti ul li:before{
  content: "";
  display: inline-block;
  background-image: url("/wp-content/themes/altograno/assets/images/brown-leaf.svg");
  width: 18px;
  height: 7px;
}

.blogPostContent ul{
  padding-left: 0;
}

.blogPostContent a{
  color: var(--altograno500);
}

.blogPostContent ul li{
  list-style: none;
  margin-bottom: 10px;
  padding-left: 25px;
  position: relative;
}

.blogPostContent ul li:last-child{
  margin-bottom: 0;
}

.blogPostContent ul li:before{
  content: "";
  display: inline-block;
  background-image: url("/wp-content/themes/altograno/assets/images/blue-leaf-horizontal.svg");
  width: 18px;
  height: 7px;
  flex-shrink: 0;
  margin-top: 8px;
  position: absolute;
  top: 0;
  left: 0;
}

.blogPostContent ol{
  padding-left: 0;
  counter-reset: item;
}

.blogPostContent ol li{
  list-style: none;
  display: flex;
  column-gap: 8px;
  align-items: center;
  margin-bottom: 10px;
  counter-increment: item;
}

.blogPostContent ol li:last-child{
  margin-bottom: 0;
}

.blogPostContent ol li::before{
  content: counter(item) ".";
  display: inline-block;
  min-width: 20px;
  font-weight: 600;
  background-image: url("/wp-content/themes/altograno/assets/images/brown-leaf-light.svg");
  background-position: center;
  background-repeat: no-repeat;
  text-align: center;
  width: 24px;
  height: 24px;
}

.blockSingleEvent{
  position: relative;
}

.blockSingleEvent:before{
  content: "";
  display: block;
  width: 2px;
  height: auto;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 57px;
  background-color: var(--crusca200);
}

.blockSingleEvent:first-child:before{ top: 50%; }
.blockSingleEvent:last-child:before{ bottom: 50%; }

.qib-button{
  padding: 0 !important;
  margin: 0 !important;
  background-color: transparent !important;
  border-style: none !important;
}

body .qib-button-wrapper{
  margin: 0;
  border: 1px solid var(--crusca200);
  border-radius: 50px;
}

.woocommerce div.product form.cart div.quantity .qty{
  padding: 0;
  width: 30px;
  border-style: none;
}

.cartSummary .e-cart__column.e-cart__column-start{
  display: none;
}

.cartProductList .e-cart__column.e-cart__column-end{
  display: none;
}

.cartProductList .e-cart__container,
.cartSummary .e-cart__container{
  display: block;
}

.elementor-widget-woocommerce-cart .woocommerce .coupon .button,
.woocommerce form .button{
  border-radius: 14px;
  font-weight: 400;
  border-color: var(--altograno700);
  border-width: 1px;
  color: var(--altograno700);
}

.elementor-widget-woocommerce-cart .woocommerce .coupon .form-row {
  border: 1px solid var(--altograno700);
  padding: 4px;
  border-radius: 16px;
  align-items: center;
}

.coupon-col-start input,
.wqpmb_input_text{
  border-width: 0 !important;
  box-shadow: none !important;
  outline-color: transparent !important;
}

.qib-button-wrapper button.qib-button,
.qib-button-wrapper div.quantity.wqpmb_quantity{
  height: auto;
}

.qib-button-wrapper .quantity input.input-text.qty.text {
    min-height: 40px;
    padding: 0;
    font-size: 16px;
}

.elementor-widget-woocommerce-cart .woocommerce{
  font-family: var(--e-global-typography-text-font-family);
}

#coupon_code{
  padding-left: 16px;
}

.wc-block-components-text-input,
.wc-blocks-components-select .wc-blocks-components-select__container{
  display: flex;
  flex-direction: column-reverse;
  row-gap: 4px;
}

.wc-blocks-components-select .wc-blocks-components-select__container{
  flex-direction: column;
}

body .wc-block-components-form .wc-block-components-text-input label,
.wc-blocks-components-select .wc-blocks-components-select__label{
  position: static !important;
  padding-left: 16px !important;
  font-size: 16px !important;
  transform: none !important;
  line-height: 1.4 !important;
}

body .wc-block-components-form .wc-block-components-text-input input[type="email"],
body .wc-block-components-form .wc-block-components-text-input input[type="number"],
body .wc-block-components-form .wc-block-components-text-input input[type="password"],
body .wc-block-components-form .wc-block-components-text-input input[type="tel"],
body .wc-block-components-form .wc-block-components-text-input input[type="text"],
body .wc-block-components-form .wc-block-components-text-input input[type="url"],
body .wc-blocks-components-select .wc-blocks-components-select__container select,
.wc-block-components-textarea,
body .woocommerce form .form-row .input-text,
body .woocommerce form .form-row select,

body .woocommerce form .select2-container .select2-selection{
  padding: 16px !important;
  border: 1px solid var(--crusca200);
  border-radius: 16px !important;
  height: auto !important;
}

body .woocommerce form .select2-container .select2-selection--single .select2-selection__rendered{
  padding: 0;
}

.woocommerce-page form .form-row label{
  padding-left: 16px;
}

.woocommerce .woocommerce-form-login .woocommerce-form-login__submit,
.woocommerce .woocommerce-form-register .woocommerce-form-register__submit{
  background-color: var(--sole500);
}

.wc-block-components-address-card{
  border-color: var(--crusca200) !important;
  border-radius: 16px !important;
  align-items: center !important;
}

.wc-block-components-radio-control--highlight-checked:after{
  border: 1px solid var(--crusca200) !important;
  border-radius: 16px !important;
}

.wc-block-components-radio-control--highlight-checked .wc-block-components-radio-control-accordion-option--checked-option-highlighted,
.wc-block-components-radio-control--highlight-checked label.wc-block-components-radio-control__option--checked-option-highlighted{
  box-shadow: none !important;
}

.wc-block-components-checkout-step__heading .wc-block-components-title.wc-block-components-checkout-step__title,
.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-checkout-order-summary__title .wc-block-components-checkout-order-summary__title-text,
.wc-block-components-totals-item__label{
  font-size: 16px !important;
  font-weight: 700 !important;
  text-transform: uppercase;
  font-family: var(--e-global-typography-text-font-family);
  color: var(--altograno300);
  line-height: 1.4 !important;
  letter-spacing: 0;
}

.wc-block-components-address-card__edit{
  font-weight: 700;
  color: var(--altograno300) !important;
  text-transform: uppercase;
}

.wc-block-components-address-card__edit:hover{
  color: var(--altograno900) !important;
  background-color: transparent !important;
}

.wc-block-components-checkout-place-order-button,
button.woocommerce-button.woocommerce-form-login__submit,
button.woocommerce-button.woocommerce-form-register__submit,
.woocommerce form button.button{
  background-color: var(--sole500);
  border-color: var(--sole500);
  color: var(--altograno900);
  min-height: 0 !important;
  height: 56px !important;
  padding: 0 48px !important;
  border-radius: 24px;
  font-weight: 400;
  width: 100%;
}

.wc-block-components-checkout-place-order-button:hover,
button.woocommerce-button.woocommerce-form-login__submit:hover,
button.woocommerce-button.woocommerce-form-register__submit:hover,
.woocommerce form button.button:hover{
  background-color: var(--altograno900);
  border-color: var(--altograno900);
  color: var(--sabbia50);
}

.wp-block-woocommerce-checkout-order-summary-block{
  border-width: 0 !important;
  background: var(--sabbia300);
  padding: 16px !important;
  border-radius: 24px !important;
}

body .wp-block-woocommerce-checkout-order-summary-block .wc-block-components-product-name,
body .wc-block-formatted-money-amount.wc-block-components-formatted-money-amount.wc-block-components-product-price__value{
  font-size: 14px;
  font-weight: 700;
  color: var(--altograno900);
  letter-spacing: 0;
}

body .wc-block-formatted-money-amount.wc-block-components-formatted-money-amount.wc-block-components-product-price__value{
  color: var(--altograno500);
}


body .wc-block-components-order-summary-item__individual-prices.price.wc-block-components-product-price>span{
  font-weight: 400;
}

.wc-block-components-product-metadata__description{
  display: none;
}

.wc-block-components-totals-item.wc-block-components-totals-discount{
  display: flex;
  flex-wrap: nowrap;
}

.wc-block-components-totals-item.wc-block-components-totals-discount .wc-block-components-totals-item__label{
  order: 1;
}

.wc-block-components-totals-item.wc-block-components-totals-discount .wc-block-components-totals-item__description{
  order: 2;
  display: flex;
  justify-content: flex-end;
  padding-right: 8px;
}

.wc-block-components-totals-item.wc-block-components-totals-discount .wc-block-components-totals-item__value{
  order: 3;
}

.wc-block-components-totals-discount .wc-block-components-totals-item__value{
  color: var(--altograno900) !important;
}

.wc-block-components-totals-wrapper:last-child .wc-block-components-formatted-money-amount{
  font-size: 16px;
  font-weight: 700;
  color: var(--altograno900);
  letter-spacing: 0;
}

.woocommerce-page main .entry-title{
  color: var(--altograno900);
}

.woocommerce-MyAccount-navigation ul{
  padding-left: 0;
}

.woocommerce-MyAccount-navigation li{
  list-style: none;
  padding: 12px;
}

.woocommerce-MyAccount-navigation li.is-active{
  font-weight: 700;
  background-color: var(--sabbia300);
  border-radius: 8px;
}

.woocommerce-MyAccount-navigation li a{
  list-style: none;
  color: var(--altograno500);
  display: flex;
  column-gap: 8px;
  text-decoration: none;
  align-items: center;
}

.woocommerce-MyAccount-navigation li a::before{
  content: "";
  display: block;
  width: 24px;
  height: 24px;
  background-position: center;
  background-repeat: no-repeat;
}

.woocommerce-MyAccount-navigation li.woocommerce-MyAccount-navigation-link--customer-logout{
  margin-top: 24px;
}

.woocommerce-MyAccount-navigation li.woocommerce-MyAccount-navigation-link--orders a::before{
  background-image: url('../images/truck-delivery.svg');
}

.woocommerce-MyAccount-navigation li.woocommerce-MyAccount-navigation-link--edit-address a::before{
  background-image: url('../images/pin.svg');
}

.woocommerce-MyAccount-navigation li.woocommerce-MyAccount-navigation-link--edit-account a::before{
  background-image: url('../images/profile.svg');
}

.woocommerce-MyAccount-navigation li.woocommerce-MyAccount-navigation-link--customer-logout a::before{
  background-image: url('../images/quit.svg');
}

.woocommerce-account .woocommerce-MyAccount-navigation {
  padding-right: 5%;
}

.woocommerce table.shop_table.woocommerce-orders-table{
  border-collapse: collapse;
  border-width: 0;
}

.woocommerce table.shop_table.woocommerce-orders-table td,
.woocommerce table.shop_table.woocommerce-orders-table th{
  border-width: 0;
}

.woocommerce table.shop_table.woocommerce-orders-table .woocommerce-orders-table__header *{
  font-weight: 700;
  color: var(--altograno500);
}

.woocommerce-orders-table__row.order{
  border-bottom: 1px solid var(--altograno300);
}

.woocommerce-orders-table__row.order th,
.woocommerce-orders-table__row.order td,
.woocommerce-orders-table__header{
  padding: 16px 0 !important;
}

.woocommerce table.shop_table.woocommerce-orders-table tbody tr:hover>td,
.woocommerce table.shop_table.woocommerce-orders-table tbody tr:hover>th{
  background-color: transparent;
}

.woocommerce-orders-table th:last-child,
.woocommerce-orders-table td:last-child{
  text-align: right;
}

.woocommerce-orders-table__cell-order-number a{
  color: var(--altograno900);
  text-decoration: none;
}

.woocommerce-order-details__title,
.woocommerce-column__title,
.woocommerce-Address-title.title h2,
.woocommerce-MyAccount-content form h2,
.woocommerce-EditAccountForm.edit-account fieldset legend{
  color: var(--altograno700);
  letter-spacing: 0;
  font-weight: 700;
}

.woocommerce-EditAccountForm.edit-account fieldset legend{
  margin-top: 48px;
}

.filledBlock{
  padding: 24px;
  border-radius: 16px;
  background-color: var(--sabbia300);
}

body .woocommerce-error,
body .woocommerce-info,
body .woocommerce-message{
  padding: 16px 16px 16px 56px;
  border-radius: 16px;
  border-width: 0 !important;
  border-top-width: 0 !important;
}

body .woocommerce-error{
  background: var(--semanticred-500);
  color: var(--sabbia50);
}
body .woocommerce-error::before{
  color: var(--sabbia50);
}

body .woocommerce-info,
body .woocommerce-message{
  background: var(--mare500);
  color: var(--sabbia50);
}
body .woocommerce-info::before,
body .woocommerce-message::before{
  color: var(--sabbia50);
}

/* ORDINE RICEVUTO */
.woocommerce-order-received .entry-title{
  color: var(--altograno700);
}

.woocommerce ul.order_details li strong{
  color: var(--altograno500);
}

.woocommerce ul.order_details,
.woocommerce .woocommerce-customer-details :last-child,
.woocommerce .woocommerce-order-details table.shop_table{
  background: var(--sabbia300);
  padding: 24px !important;
  border-radius: 16px;
  border-width: 0;
}

.wc-bacs-bank-details-account-name{
  display: none;
}

.woocommerce-order h2,
.woocommerce-order h3{
  font-weight: 700;
  color: var(--altograno900);
  letter-spacing: 0;
}

.woocommerce .woocommerce-customer-details .woocommerce-customer-details--email{
  padding-bottom: 0 !important;
}

.woocommerce-order-details .product-quantity{
  font-weight: 400 !important;
}

.woocommerce-order-details .woocommerce-table__product-name.product-name a{
  text-decoration: none;
  color: inherit;
}

@media (min-width: 1199px){
  .woocommerce-order .woocommerce-order-details,
  .woocommerce-order .woocommerce-customer-details{
    width: 45%;
  }
}

.woocommerce-order .woocommerce-order-details{
  order: 5;
}

.woocommerce-order{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
}

.woocommerce-order>*{
  width: 100%;
}

/* Rendi la tabella, il corpo e le righe dei contenitori invisibili */
.woocommerce-order-details table,
.woocommerce-order-details tbody,
.woocommerce-order-details tfoot,
.woocommerce-order-details tr {
  display: block;
  border: none;
}

.woocommerce-order-details thead{
  display: none;
}

/* Rendi le celle elementi inline */
.woocommerce-order-details td,
.woocommerce-order-details th {
  display: inline;
  padding: 0 !important;
  border-width: 0 !important;
  font-weight: 400 !important;
}

/* Aggiunge un a capo dopo la seconda cella per separare le righe */
.woocommerce-order-details td:last-child::after,
.woocommerce-order-details th:last-child::after {
  content: "";
  display: block;
  margin-bottom: 8px; /* Spazio tra le "righe" dell'elenco */
}

.woocommerce form.checkout_coupon, .woocommerce form.login, .woocommerce form.register{
  padding: 0;
  border-width: 0;
}

.postid-999 .ppcp-messages,
.postid-999 .ppc-button-wrapper,
.page-id-947 .ppc-button-wrapper,
.page-id-947 .ppcp-messages,
.page-id-948 .ppcp-messages,
.wc-block-components-express-payment,
.wc-block-components-express-payment-continue-rule{
  display: none !important;
}

.wc-block-checkout__payment-method .wc-block-components-radio-control__label{
  font-weight: 700;
}

/**/

.woocommerce-message .button.wc-forward{
  display: none;
}

@media screen and (max-width: 1199px){
  .offcanvas-body .btn-close,
  .navbar-toggler{
    position: absolute;
    top: 30px;
    left: 22px;
    padding: 0 !important;
    border-width: 0 !important;
  }

  .navbar-toggler{
    position: absolute;
    top: 50%;
    left: 22px;
    transform: translateY(-50%);
    padding: 0 !important;
    border-width: 0 !important;
  }
}

@media screen and (max-width: 767px){
  .mainMenu{
    justify-content: center;
    padding: 12px 20px;
  }

  .sidedSliderBlock .controllers {
    position: static;
    transform: none;
  }

  .elementor-widget-n-tabs.customTabs .e-n-tab-title[aria-selected=false]{
    background-color: var(--sabbia50) !important;
  }

  .blockSingleEvent:before{
    left: 40px;
  }

  .blockSingleEvent:first-child:before{ top: 32px; }
  .blockSingleEvent:last-child:before{ bottom: calc(100% - 40px); }

  .wc-block-components-checkout-place-order-button,
  button.woocommerce-button.woocommerce-form-login__submit,
  button.woocommerce-button.woocommerce-form-register__submit,
  .woocommerce form button.button{
    min-height: 0 !important;
    height: 48px !important;
    padding: 0 24px !important;
    border-radius: 16px;
    font-weight: 400;
    width: 100%;
  }

}

@media screen and (min-width: 768px){
  .sidedSliderBlock .controllers {
    transform: translateY(calc((-100% - 48px)));
  }
  .blockIngredienti{
    width: 512px;
  }
}

@media screen and (min-width: 1024px){
}

/* STORE LOCATOR */
.radioFilters{
  display: flex;
  margin-top: 1rem;
  font-size: 0.9rem;
  align-items: baseline;
}

.radioFilters .flatcustomCheckbox{
  display: flex;
  align-items: center;
  margin-right: 1rem;
}

.customRadio.green input[type=radio] + label >.fakeCheck{ border-color: #00FF00; }
.customRadio.orange input[type=radio] + label > .fakeCheck{ border-color: #000000; }

.customRadio.green input[type=radio]:checked + label > .fakeCheck{ color: #00FF00; }
.customRadio.orange input[type=radio]:checked + label > .fakeCheck{ color: #000000; }

.customRadio.green input[type=radio]:checked + label > .fakeCheck::after{ background-color: #00FF00; }
.customRadio.orange input[type=radio]:checked + label > .fakeCheck::after{ background-color: #000000; }

.customRadio #radio_tutti:checked + label > .fakeCheck::after{ background-color: var(--brown); }

.searchContainer{
  padding: 16px;
  border-radius: 50rem;
  background-color: var(--sabbia500);
  display: flex;
  align-items: center;
}

.searchContainer input[type="text"]{
  border-width: 0;
  color: var(--altograno900);
  font-size: 0.9rem;
  padding: 0;
  margin-left: 0.5rem;
  border-radius: 0;
  line-height: 0.8rem;
  box-shadow: none !important;
  min-height: 24px;
}

.linkPortami{
  color: #000000;
  display: inline-flex;
  align-items: center;  
}

#storeListContainer{
  height: 30rem;
  padding: 16px;
  background-color: var(--sabbia500);
  border-radius: 24px;
}
#storeList{
  display: flex;
  height: 100%;
  flex-direction: column;
  overflow-y: scroll;
  scrollbar-color: #935A00 #FFFFFF;
}

.colorBrown{
  color: #633619;
}

.popup-content{
  width: auto !important;
}

/* width */
#storeList::-webkit-scrollbar {
  width: 10px;
}

/* Track */
#storeList::-webkit-scrollbar-track {
  background: #FFFFFF;
  cursor: pointer;
}

/* Handle */
#storeList::-webkit-scrollbar-thumb,
#storeList::-webkit-scrollbar-thumb:hover {
  background: #281306;
  cursor: pointer;
}

.cardStore{
  padding: 16px;
  order: 999999999;
}

/*.cardStore:nth-child(odd){
  background-color: #fff7ee;
}*/

.customRadio input[type=radio] + label > .fakeCheck{
  display: none !important;
}

.customRadio input[type=radio] + label{
  padding-left: 0 !important;
}

.customRadio input[type=radio]:checked + label{
  /*color: var(--wellared) !important;*/
  text-decoration: underline;
}

.cardStore.green{ border-color: #00FF00; }
.cardStore.orange{ border-color: #000000; }

.cardStore.green .storeTitle{ color: #00FF00; }
.cardStore.orange .storeTitle{ color: #000000; }

.cardStore.orange .linkPortami{ color: #00FF00; }
.cardStore.green .linkPortami{ color: #000000; }

.cardStore.orange .linkPortami svg path{ stroke: #00FF00; }
.cardStore.green .linkPortami svg path{ stroke: #000000; }

.cardStore .toggleCollapse{
  position: absolute;
  top: 0rem;
  right: 1rem;
  font-size: 1.5rem;
  display: block;
  width: 1rem;
  height: 1rem;
  border-color: #888888;
  border-style: solid;
  border-width: 2px 2px 0 0;
  transform: translateY(-33%) rotate(135deg);
  transition: 0.3s all linear;
}

.cardStore .collapsed .toggleCollapse{
  transform: translateY(39%) rotate(-45deg);
}

#map{
  height: 100%;
  border-radius: 32px;
  overflow: hidden;
}

.custom-cluster-marker{
  background: white !important;
  border-radius: 50%;
  border: 4px solid black;
  font-size: 0.9rem;
  text-align: center;
  font-weight: bold;
  width: 3rem !important;
  height: 3rem !important;
  display: flex;
  align-items: center;
  justify-content: center;
}

.custom-cluster-marker span{
  display: inline-block;
  text-align: center;
  /*-webkit-transform: translate(-0.1452rem,0.25rem);
  -moz-transform: translate(-0.145rem,.25rem);
  -o-transform: translate(-0.145rem,.25rem);
  transform: translate(-0.145rem,0.25rem);
  line-height: 2em;*/
}

/*.custom-cluster-marker-medium span{
  -webkit-transform: translate(-0.185rem,0.53rem);
  -moz-transform: translate(-0.185rem,.53rem);
  -o-transform: translate(-0.185rem,.53rem);
  transform: translate(-0.185rem,0.53rem);
}*/

.cursor-pointer{
  cursor: pointer;
}

@media (max-width: 1199px){
}
@media (max-width: 991px){
}
@media (max-width: 767px){
  #map{
    height: 40vh;
  }

  .radioFilters .flatcustomCheckbox{
    margin-bottom: 0.5rem;
  }

  .custom-cluster-marker span{
    display: block;
    text-align: center;
    transform: none;
    line-height: 2em;
  }
  
  .custom-cluster-marker-medium span{
    transform: none;
  }

  #storeList{
    min-height: 50vh;
  }

  .e-n-tabs-heading button{
    order: 1 !important;
    margin-bottom: 0 !important;
  }

  .elementor.elementor .elementor-widget-n-tabs.e-n-tabs-mobile .e-n-tabs-content>.e-con {
    padding-top: 16px;
  }
}
@media (max-width: 1023px){
  #storeList{
    padding-right: 0;
  }

  #map{
    height: 25rem;
  }
}

@media (min-width: 576px){
}
@media (min-width: 768px){
}
@media (min-width: 992px){
}
@media (min-width: 1200px){
}
@media (min-width: 1800px){
}
@media (min-width: 2600px){
}